#include "IRLremote.h"

#define pinIR 3
#define led_red 8
#define led_yellow 9
#define led_green 10

int led_state;
// Choose the IR protocol of your remote. See the other example for this.
CNec IRLremote;

void setup()
{
  // Start serial debug output
  while (!Serial);
  Serial.begin(115200);
  Serial.println(F("IDEAelec.com"));

  // Set LED to output

  pinMode(led_red   , OUTPUT);
  pinMode(led_yellow, OUTPUT);
  pinMode(led_green , OUTPUT);

  // Start reading the remote. PinInterrupt or PinChangeInterrupt* will automatically be selected
  if (!IRLremote.begin(pinIR))
    Serial.println(F("You did not choose a valid pin."));
}

void loop()
{

  // Check if new IR protocol data is available
  if (IRLremote.available())
  {
     // Get the new data from the remote
    auto data = IRLremote.read();
    
    if(data.command==69) digitalWrite(led_red   , HIGH);
    if(data.command==70) digitalWrite(led_yellow, HIGH);
    if(data.command==71) digitalWrite(led_green , HIGH);

    if(data.command==68) digitalWrite(led_red   , LOW);
    if(data.command==64) digitalWrite(led_yellow, LOW);
    if(data.command==67) digitalWrite(led_green , LOW);

  }
}
